org.apache.http.impl.nio.codecs

## Class DefaultHttpRequestParserFactory

- java.lang.Object
- - org.apache.http.impl.nio.codecs.DefaultHttpRequestParserFactory

- All Implemented Interfaces:
    NHttpMessageParserFactory<HttpRequest>

      @Immutable
      public class DefaultHttpRequestParserFactory
      extends Object
      implements NHttpMessageParserFactory<HttpRequest>

  Default factory for request message parsers.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultHttpRequestParserFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpRequestParserFactory()`
    `DefaultHttpRequestParserFactory(LineParser lineParser, HttpRequestFactory requestFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NHttpMessageParser<HttpRequest>` | `create(SessionInputBuffer buffer, MessageConstraints constraints)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultHttpRequestParserFactory INSTANCE

  - ### Constructor Detail

    - #### DefaultHttpRequestParserFactory

          public DefaultHttpRequestParserFactory(LineParser lineParser,
                                         HttpRequestFactory requestFactory)

    - #### DefaultHttpRequestParserFactory

          public DefaultHttpRequestParserFactory()

  - ### Method Detail

    - #### create

          public NHttpMessageParser<HttpRequest> create(SessionInputBuffer buffer,
                                               MessageConstraints constraints)

      Specified by:
        `create` in interface `NHttpMessageParserFactory<HttpRequest>`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.